Quick Mac Tip : install Java 1.5 on OS X Lion

If you're like me, you might need to test compatibility with Java 1.5 despite the fact that it's old and that nobody should use it anymore :) Unfortunately the reality is that some users migrate slowly, and so it might be useful to be able to test with old versions of the JDK.

As you probably know, the JDK 1.5 is not available officially for Mac OS X Lion. But there is a way to install it anyway, and it is very well documented here : http://www.s-seven.net/java_15_lion

Let me know if you liked this tip, I might add more in the future :)

Author : Serge Huber

Serge Huber is the Chief Technology Officer (CTO) at Jahia, and Co-Founder of Jahia Solutions Group SA as well as the Jahia project before the creation of the group. With more than 15 years’ experience in developing web content management (WCM) and content management system (CMS) solutions in various technologies, his history includes building high-visibility, mission-critical applications for organizations such as the French government, the Swiss Federal Institute of Technology of Lausanne and Garmin. He now oversees the future development and evolution of Jahia’s software and manages the interaction with open source communities such as the Apache Foundation, where he is a committer for the Apache Jackrabbit Project. In his spare time, he enjoys experimenting with innovative technology - the kind that is mind-blowing and future-changing.